> ## Documentation Index
> Fetch the complete documentation index at: https://docs.honeyhive.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a list of datapoints



## OpenAPI

````yaml get /datapoints
openapi: 3.0.3
info:
  title: HoneyHive API
  version: 1.0.1
servers:
  - url: https://api.honeyhive.ai
security:
  - BearerAuth: []
paths:
  /datapoints:
    get:
      tags:
        - Datapoints
      summary: Retrieve a list of datapoints
      operationId: getDatapoints
      parameters:
        - name: project
          in: query
          required: true
          schema:
            type: string
          description: Project name to filter datapoints
        - name: datapoint_ids
          in: query
          required: false
          schema:
            type: array
            items:
              type: string
          description: List of datapoint ids to fetch
        - name: dataset_name
          in: query
          required: false
          schema:
            type: string
          description: Name of the dataset to get datapoints from
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  datapoints:
                    type: array
                    items:
                      $ref: '#/components/schemas/Datapoint'
      x-codeSamples:
        - lang: python
          label: getDatapoints
          source: |-
            import honeyhive

            s = honeyhive.HoneyHive(
                bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
            )


            res = s.datapoints.get_datapoints(project='<value>', datapoint_ids=[
                '<value>',
            ], dataset_name='<value>')

            if res.object is not None:
                # handle response
                pass
        - lang: typescript
          label: getDatapoints
          source: >-
            import { HoneyHive } from "honeyhive";

            import { GetDatapointsRequest } from
            "honeyhive/dist/models/operations";


            async function run() {
              const sdk = new HoneyHive({
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
              });
            const project: string = "<value>";

            const datapointIds: string[] = [
              "<value>",
            ];

            const datasetName: string = "<value>";

              const res = await sdk.datapoints.getDatapoints(project, datapointIds, datasetName);

              if (res.statusCode == 200) {
                // handle response
              }
            }


            run();
components:
  schemas:
    Datapoint:
      type: object
      properties:
        _id:
          type: string
          description: UUID for the datapoint
        tenant:
          type: string
        project_id:
          type: string
          description: UUID for the project where the datapoint is stored
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        inputs:
          type: object
          description: Arbitrary JSON object containing the inputs for the datapoint
          additionalProperties: true
        history:
          type: array
          items:
            type: object
            additionalProperties: true
          description: Conversation history associated with the datapoint
        ground_truth:
          type: object
          additionalProperties: true
        linked_event:
          type: string
          description: Event id for the event from which the datapoint was created
        linked_evals:
          type: array
          items:
            type: string
          description: Ids of evaluations where the datapoint is included
        linked_datasets:
          type: array
          items:
            type: string
          description: Ids of all datasets that include the datapoint
        saved:
          type: boolean
        type:
          type: string
          description: session or event - specify the type of data
        metadata:
          type: object
          additionalProperties: true
      example:
        _id: 65c13dbbd65fb876b7886cdb
        tenant: org_XiCNIMTZzUKiY2As
        project_id: 653454f3138a956964341c07
        created_at: '2024-02-05T19:57:47.050Z'
        updated_at: '2024-02-05T19:57:47.050Z'
        inputs:
          query: what's the temperature in Iceland?
        history:
          - role: system
            content: >-
              You are a helpful web assistant that helps users answer questions
              about the world based on the information provided to you by
              Google's search API. Answer the questions as truthfully as you
              can. In case you are unsure about the correct answer, please
              respond with "I apologize but I'm not sure."
          - role: user
            content: >-
              what's the temperature in Iceland?\n\n\n--Google search API
              results below:---\n\n"snippet":"2 Week Extended Forecast in
              Reykjavik, Iceland ; Feb 4, 29 / 20 °F · Snow showers early.
              Broken clouds. ; Feb 5, 27 / 16 °F · Light snow. Decreasing
              cloudiness.","snippet_highlighted_words":["Feb 4, 29 / 20 °F"]
        ground_truth:
          role: assistant
          content: >-
            The temperature in Reykjavik, Iceland is currently around 5F or
            -15C. Please note that weather conditions can change rapidly, so
            it's best to check a reliable source for the most up-to-date
            information.
        linked_event: 6bba5182-d4b1-4b29-a64a-f0a8bd964f76
        linked_evals: []
        linked_datasets: []
        saved: false
        type: event
        metadata:
          question_type: weather
          completion_tokens: 47
          prompt_tokens: 696
          total_tokens: 743
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````